Loading...
Searching...
No Matches
QwtEventPattern::KeyPattern Class Reference

A pattern for key events. More...

`#include <qwt_event_pattern.h>`

## Public Member Functions

| KeyPattern (int keyCode=Qt::Key_unknown, Qt::KeyboardModifiers modifierCodes=Qt::NoModifier)
| Constructor.

## Public Attributes

int | key
| Key code.
Qt::KeyboardModifiers | modifiers
| Modifiers.

## Detailed Description

A pattern for key events.

Definition at line 168 of file qwt_event_pattern.h.

## Constructor & Destructor Documentation

## KeyPattern()

QwtEventPattern::KeyPattern::KeyPattern | ( | int | keyCode = Qt::Key_unknown,
|  | Qt::KeyboardModifiers | modifierCodes = Qt::NoModifier )

inline

Constructor.

Definition at line 172 of file qwt_event_pattern.h.

## Member Data Documentation

## key

int QwtEventPattern::KeyPattern::key

Key code.

Definition at line 180 of file qwt_event_pattern.h.

## modifiers

Qt::KeyboardModifiers QwtEventPattern::KeyPattern::modifiers

Modifiers.

Definition at line 183 of file qwt_event_pattern.h.